# flutter_custom_form_component

I have some custom UI components for supporting form in a page. I will provide much more widgets
related to form components, i.e. `MoneyFieldWidget`, `BankAccountNumberFieldWidget`, and so on.
Kindly trying the existing widgets which help users typing a date field, i.e. `DdMmYyyyFieldWidget`
and `MmDdYyyyFieldWidget`.

## Getting Started

```yaml
dependencies:
  flutter_custom_form_component: ^0.0.2
```

```
SizedBox(
  child: DdMmYyyyFieldWidget(
    hint: 'DD / MM / YYYY', // Optional. It has default value.
    isValid: true, // Optional. For your own validation logic.
    onChanged: (final int? year, final int? month, final int? day) {
      // You can get the values here.
    },
    separator: ' / ', // Optional. It has default value.
    ),
  height: 52.0) // Wrap the height.
```